Index: LMDZ5/branches/testing/libf/dyn3d_common/inithist.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/inithist.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/inithist.F	(revision 2641)
@@ -10,5 +10,8 @@
        use com_io_dyn_mod, only : histid,histvid,histuid,               &
      &                        dynhist_file,dynhistv_file,dynhistu_file
-
+       USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: presnivs
+       USE temps_mod, ONLY: itau_dyn
+       
       implicit none
 
@@ -38,15 +41,9 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "description.h"
+      include "iniprint.h"
 
 C   Arguments
Index: LMDZ5/branches/testing/libf/dyn3d_common/inter_barxy_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/inter_barxy_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/inter_barxy_m.F90	(revision 2641)
@@ -374,9 +374,7 @@
 
     use assert_eq_m, only: assert_eq
+    use comconst_mod, only: pi
 
     IMPLICIT NONE
-
-    include "comconst.h"
-    ! (for "pi")
 
     REAL, intent(in):: xi(:)
@@ -431,8 +429,7 @@
     ! order.
 
+    use comconst_mod, only: pi
+
     IMPLICIT NONE
-
-    include "comconst.h"
-    ! (for "pi")
 
     REAL, intent(in):: xi(:) ! angle, in rad or degrees
Index: LMDZ5/branches/testing/libf/dyn3d_common/interpost.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/interpost.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/interpost.F	(revision 2641)
@@ -7,9 +7,7 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 c Arguments   
Index: LMDZ5/branches/testing/libf/dyn3d_common/interpre.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/interpre.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/interpre.F	(revision 2641)
@@ -6,19 +6,14 @@
      s            unatppm,vnatppm,psppm)
 
-      USE control_mod
+      USE comconst_mod, ONLY: g
+      USE comvert_mod, ONLY: ap, bp
 
        implicit none
 
-#include "dimensions.h"
-c#include "paramr2.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comdissip.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissip.h"
+      include "comgeom2.h"
+      include "description.h"
 
 c---------------------------------------------------
@@ -77,5 +72,5 @@
           do j=1,jjm
               do i=1,iip1
-                  vnat(i,j,l)=-pbarv(i,j,l)/masseby(i,j,l)*cv(i,j)             
+                  vnat(i,j,l)=-pbarv(i,j,l)/masseby(i,j,l)*cv(i,j)
               enddo
           enddo
@@ -119,5 +114,5 @@
                  vnatppm(i,j,l)=vnat(i,j,llm-l+1)
                  fluxwppm(i,j,l)=fluxw(i,j,llm-l+1)
-                 qppm(i,j,l)=q(i,j,llm-l+1)                              
+                 qppm(i,j,l)=q(i,j,llm-l+1)
              enddo
           enddo                                
Index: LMDZ5/branches/testing/libf/dyn3d_common/invert_zoom_x_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 2641)
@@ -11,10 +11,8 @@
     use coefpoly_m, only: coefpoly
     use nrtype, only: pi, pi_d, twopi_d, k8
+    use serre_mod, only: clon
 
     include "dimensions.h"
     ! for iim
-
-    include "serre.h"
-    ! for clon
 
     REAL(K8), intent(in):: Xf(0:), xtild(0:), Xprimt(0:) ! (0:2 * nmax)
Index: LMDZ5/branches/testing/libf/dyn3d_common/limx.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/limx.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/limx.F	(revision 2641)
@@ -15,10 +15,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c
Index: LMDZ5/branches/testing/libf/dyn3d_common/limy.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/limy.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/limy.F	(revision 2641)
@@ -14,12 +14,10 @@
 c
 c   --------------------------------------------------------------------
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c
Index: LMDZ5/branches/testing/libf/dyn3d_common/limz.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/limz.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/limz.F	(revision 2641)
@@ -15,10 +15,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c
Index: LMDZ5/branches/testing/libf/dyn3d_common/massbarxy.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/massbarxy.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/massbarxy.F90	(revision 2641)
@@ -9,5 +9,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comgeom.h"
 !===============================================================================
Index: LMDZ5/branches/testing/libf/dyn3d_common/massdair.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/massdair.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/massdair.F	(revision 2641)
@@ -18,8 +18,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c  .....   arguments  ....
Index: LMDZ5/branches/testing/libf/dyn3d_common/nxgrarot.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/nxgrarot.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/nxgrarot.F	(revision 2641)
@@ -19,8 +19,7 @@
 c
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comdissipn.h"
-#include "logic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissipn.h"
 c
       INTEGER klevel
Index: LMDZ5/branches/testing/libf/dyn3d_common/pentes_ini.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/pentes_ini.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/pentes_ini.F	(revision 2641)
@@ -3,4 +3,7 @@
 !
       SUBROUTINE pentes_ini (q,w,masse,pbaru,pbarv,mode)
+      
+      USE comconst_mod, ONLY: pi, dtvr
+      
       IMPLICIT NONE
 
@@ -22,9 +25,7 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 c   Arguments:
@@ -437,6 +438,6 @@
 
         DO l = 1,llm
-    	 DO j = 1,jjp1
-    	  DO i = 1,iip1
+             DO j = 1,jjp1
+              DO i = 1,iip1
                 IF (q(i,j,l,0).lt.0.)  THEN
 c                    PRINT*,'------------ BIP-----------' 
@@ -445,5 +446,5 @@
 c                    PRINT*,'QY(',i,j,l,')=',q(i,j,l,2)
 c                    PRINT*,'QZ(',i,j,l,')=',q(i,j,l,3)
-c       		     PRINT*,' PBL EN SORTIE DE PENTES'
+c                            PRINT*,' PBL EN SORTIE DE PENTES'
                      q(i,j,l,0)=0.
 c                    STOP
Index: LMDZ5/branches/testing/libf/dyn3d_common/prather.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/prather.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/prather.F	(revision 2641)
@@ -3,4 +3,7 @@
 !
       SUBROUTINE prather (q,w,masse,pbaru,pbarv,nt,dt)
+      
+      USE comconst_mod, ONLY: pi
+      
       IMPLICIT NONE
 
@@ -19,9 +22,7 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d_common/principal_cshift_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/principal_cshift_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/principal_cshift_m.F90	(revision 2641)
@@ -12,10 +12,8 @@
 
     use nrtype, only: twopi
+    use serre_mod, only: clon
 
     include "dimensions.h"
     ! for iim
-
-    include "serre.h"
-    ! for clon
 
     integer, intent(in):: is2
Index: LMDZ5/branches/testing/libf/dyn3d_common/serre_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/serre_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/dyn3d_common/serre_mod.F90	(revision 2641)
@@ -0,0 +1,11 @@
+!
+! $Id$
+!
+MODULE serre_mod
+
+IMPLICIT NONE  
+
+      REAL clon,clat,transx,transy,alphax,alphay,pxo,pyo,              &
+        grossismx, grossismy, dzoomx, dzoomy,taux,tauy
+
+END MODULE serre_mod
Index: LMDZ5/branches/testing/libf/dyn3d_common/sortvarc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/sortvarc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/sortvarc.F	(revision 2641)
@@ -7,4 +7,9 @@
 
       USE control_mod, ONLY: resetvarc 
+      USE comconst_mod, ONLY: dtvr, daysec, g, rad, omeg
+      USE logic_mod, ONLY: read_start
+      USE ener_mod, ONLY: etot,ptot,ztot,stot,ang,
+     &                    etot0,ptot0,ztot0,stot0,ang0,
+     &                    rmsdpdt,rmsv
       IMPLICIT NONE
 
@@ -27,10 +32,5 @@
       INCLUDE "dimensions.h"
       INCLUDE "paramet.h"
-      INCLUDE "comconst.h"
-      INCLUDE "comvert.h"
       INCLUDE "comgeom.h"
-      INCLUDE "ener.h"
-      INCLUDE "logic.h"
-      INCLUDE "temps.h"
       INCLUDE "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/tourpot.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/tourpot.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/tourpot.F90	(revision 2641)
@@ -9,5 +9,4 @@
   include "paramet.h"
   include "comgeom.h"
-  include "logic.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d_common/traceurpole.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/traceurpole.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/traceurpole.F	(revision 2641)
@@ -4,19 +4,11 @@
           subroutine traceurpole(q,masse)
 
-      USE control_mod
-
           implicit none
       
-#include "dimensions.h"
-c#include "paramr2.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comdissip.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissip.h"
+      include "comgeom2.h"
+      include "description.h"
 
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/ugeostr.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/ugeostr.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/ugeostr.F90	(revision 2641)
@@ -11,9 +11,10 @@
   ! levels are pressure levels.
 
+  use comconst_mod, only: omeg, rad
+  
   implicit none
 
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comgeom2.h"
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/vitvert.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/vitvert.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/vitvert.F90	(revision 2641)
@@ -5,8 +5,8 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute vertical speed at sigma levels.
+  USE comvert_mod, ONLY: bp
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d_common/writedynav.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/writedynav.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/writedynav.F90	(revision 2641)
@@ -8,4 +8,6 @@
   USE infotrac, ONLY : nqtot, ttext
   use com_io_dyn_mod, only : histaveid, histvaveid, histuaveid
+  USE comconst_mod, ONLY: cpp
+  USE temps_mod, ONLY: itau_dyn
 
   implicit none
@@ -31,12 +33,6 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comgeom.h"
-  include "temps.h"
-  include "ener.h"
-  include "logic.h"
   include "description.h"
-  include "serre.h"
   include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3d_common/writehist.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/writehist.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d_common/writehist.F	(revision 2641)
@@ -9,4 +9,6 @@
       USE infotrac, ONLY : nqtot, ttext
       use com_io_dyn_mod, only : histid,histvid,histuid
+      USE temps_mod, ONLY: itau_dyn
+      
       implicit none
 
@@ -33,15 +35,9 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "description.h"
+      include "iniprint.h"
 
 C
Index: LMDZ5/branches/testing/libf/dyn3dmem/addfi_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/addfi_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/addfi_loc.F	(revision 2641)
@@ -46,9 +46,7 @@
 c    ------------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "serre.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c    Arguments :
Index: LMDZ5/branches/testing/libf/dyn3dmem/advect_new_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/advect_new_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/advect_new_loc.F	(revision 2641)
@@ -7,4 +7,7 @@
       USE write_field_loc
       USE advect_new_mod
+      USE comconst_mod, ONLY: daysec
+      USE logic_mod, ONLY: conser
+      
       IMPLICIT NONE
 c=======================================================================
@@ -27,11 +30,7 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 
 c   Arguments:
@@ -61,5 +60,5 @@
 c   -------------------------
       
-      IF (conser)  THEN
+      IF (conser.AND.1==0)  THEN
          deuxjour = 2. * daysec
 
@@ -122,5 +121,5 @@
                   
            uav(ij,l)=0.25*(ucov(ij,l)+ucov(ij-iip1,l))
-     .	             +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
+     .               +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
          ENDDO
          
Index: LMDZ5/branches/testing/libf/dyn3dmem/advtrac_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/advtrac_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/advtrac_loc.F	(revision 2641)
@@ -27,16 +27,12 @@
       USE control_mod, ONLY: iapp_tracvl, day_step, planet_type
       USE advtrac_mod, ONLY: finmasse
+      USE comconst_mod, ONLY: dtvr
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comdissip.h"
-#include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissip.h"
+      include "comgeom2.h"
+      include "description.h"
 
 c-------------------------------------------------------------------
@@ -172,5 +168,5 @@
 #endif
          
-	  GOTO 1234     
+          GOTO 1234     
 c-----------------------------------------------------------
 c     Appel des sous programmes d'advection
@@ -184,5 +180,5 @@
         if(iadv(iq).eq.10) THEN
      
-!LF	    call vlsplt_p(q(1,1,iq),2.,massem,wg,pbarug,pbarvg,dtvr)
+!LF            call vlsplt_p(q(1,1,iq),2.,massem,wg,pbarug,pbarvg,dtvr)
 
 c   ----------------------------------------------------------------
Index: LMDZ5/branches/testing/libf/dyn3dmem/bernoui_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/bernoui_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/bernoui_loc.F	(revision 2641)
@@ -24,7 +24,6 @@
 c   -------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dmem/bilan_dyn_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/bilan_dyn_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/bilan_dyn_loc.F	(revision 2641)
@@ -17,13 +17,14 @@
       use misc_mod
       USE write_field_loc
+      USE comconst_mod, ONLY: cpp, pi
+      USE comvert_mod, ONLY: presnivs
+      USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn
+      
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "temps.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "iniprint.h"
 
 c====================================================================
@@ -598,5 +599,5 @@
         do l=1,llm
           Q_cum(:,jjb:jje,l,iQ)=Q_cum(:,jjb:jje,l,iQ) 
-     .	                        /masse_cum(:,jjb:jje,l)
+     .                                /masse_cum(:,jjb:jje,l)
         enddo
 !$OMP ENDDO NOWAIT 
Index: LMDZ5/branches/testing/libf/dyn3dmem/caladvtrac_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/caladvtrac_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/caladvtrac_loc.F	(revision 2641)
@@ -29,7 +29,6 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c   Arguments:
@@ -210,5 +209,5 @@
 	call resume_timer(timer_caldyn)
 c$OMP END MASTER
-c$OMP BARRIER	
+c$OMP BARRIER
           iadvtr=0
        ENDIF ! if iadvtr.EQ.iapp_tracvl
Index: LMDZ5/branches/testing/libf/dyn3dmem/caldyn_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/caldyn_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/caldyn_loc.F	(revision 2641)
@@ -12,4 +12,5 @@
       USE caldyn_mod, ONLY: vcont, ucont, ang, p, massebx, masseby,
      &                      vorpot, ecin, bern, massebxy, convm
+      USE comvert_mod, ONLY: ap, bp
       
       IMPLICIT NONE
@@ -31,9 +32,7 @@
 !   ----------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 
 !   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dmem/call_calfis_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/call_calfis_mod.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/call_calfis_mod.F90	(revision 2641)
@@ -82,9 +82,10 @@
   USE write_field_loc
   USE write_field
+  USE comconst_mod, ONLY: dtphys
+  USE logic_mod, ONLY: leapf, forward, ok_strato
+  USE comvert_mod, ONLY: ap, bp, pressure_exner
+  USE temps_mod, ONLY: day_ini, day_ref, jd_ref, jh_ref, start_time
+  
   IMPLICIT NONE
-    INCLUDE "comconst.h"
-    INCLUDE "comvert.h"
-    INCLUDE "logic.h"
-    INCLUDE "temps.h"
     INCLUDE "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90	(revision 2641)
@@ -17,4 +17,13 @@
   USE infotrac, ONLY : type_trac
   use assert_m, only: assert
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          iflag_top_bound, mode_top_bound, tau_top_bound, &
+                          ngroup
+  USE logic_mod, ONLY: fxyhypb, iflag_phys, ok_etat0, ok_gradsfile, &
+                       ok_guide, ok_limit, ok_strato, purmats, read_start, &
+                       ysinus
+  USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
+                       alphax,alphay,taux,tauy
+  USE temps_mod, ONLY: calend
 
   IMPLICIT NONE
@@ -35,9 +44,5 @@
   include "dimensions.h"
   include "paramet.h"
-  include "logic.h"
-  include "serre.h"
   include "comdissnew.h"
-  include "temps.h"
-  include "comconst.h"
   include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dmem/convmas1_loc.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/convmas1_loc.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/convmas1_loc.F90	(revision 2641)
@@ -12,5 +12,4 @@
   include "paramet.h"
   include "comgeom.h"
-  include "logic.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dmem/convmas2_loc.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/convmas2_loc.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/convmas2_loc.F90	(revision 2641)
@@ -11,5 +11,4 @@
   include "paramet.h"
   include "comgeom.h"
-  include "logic.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dmem/convmas_loc.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/convmas_loc.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/convmas_loc.F90	(revision 2641)
@@ -11,5 +11,4 @@
   include "paramet.h"
   include "comgeom.h"
-  include "logic.h"
 !===============================================================================
 ! Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dmem/dissip_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/dissip_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/dissip_loc.F	(revision 2641)
@@ -7,4 +7,5 @@
       USE write_field_loc
       USE dissip_mod, ONLY: dissip_allocate
+      USE comconst_mod, ONLY: dtdiss
       IMPLICIT NONE
 
@@ -28,10 +29,9 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comdissnew.h"
-#include "comdissipn.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comdissnew.h"
+      include "comdissipn.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dmem/dteta1_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/dteta1_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/dteta1_loc.F	(revision 2641)
@@ -21,7 +21,6 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
+      include "dimensions.h"
+      include "paramet.h"
 
       REAL teta( ijb_u:ije_u,llm )
Index: LMDZ5/branches/testing/libf/dyn3dmem/dudv2_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/dudv2_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/dudv2_loc.F	(revision 2641)
@@ -23,7 +23,6 @@
 c=======================================================================
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
       REAL teta( ijb_u:ije_u,llm ),pkf( ijb_u:ije_u,llm )
Index: LMDZ5/branches/testing/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/dynetat0_loc.f90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/dynetat0_loc.f90	(revision 2641)
@@ -12,15 +12,18 @@
   USE control_mod, ONLY: planet_type
   USE assert_eq_m, ONLY: assert_eq
+  USE comvert_mod, ONLY: pa,preff
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa, lllm, &
+                          omeg, rad
+  USE logic_mod, ONLY: fxyhypb, ysinus
+  USE serre_mod, ONLY: clon, clat, grossismx, grossismy
+  USE temps_mod, ONLY: annee_ref,day_ref,itau_dyn, &
+                       start_time,day_ini,hour_ini
+  USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+  
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "temps.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comgeom.h"
-  include "ener.h"
   include "description.h"
-  include "serre.h"
-  include "logic.h"
   include "iniprint.h"
 !===============================================================================
@@ -99,5 +102,5 @@
   day_ini    = tab_cntrl(30)
   itau_dyn   = tab_cntrl(31)
-!  start_time = tab_cntrl(32)   ????
+  start_time = tab_cntrl(32)
 
 !-------------------------------------------------------------------------------
Index: LMDZ5/branches/testing/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/dynredem_loc.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/dynredem_loc.F90	(revision 2641)
@@ -13,15 +13,18 @@
                     NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER
   USE dynredem_mod, ONLY: cre_var, put_var, err, modname, fil
+  USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff, &
+                         nivsig,nivsigs
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
+  USE logic_mod, ONLY: fxyhypb, ysinus
+  USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
+                       taux,tauy
+  USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn, itaufin, start_time
+  USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comgeom.h"
-  include "temps.h"
-  include "ener.h"
-  include "logic.h"
   include "description.h"
-  include "serre.h"
   include "iniprint.h"
 !===============================================================================
@@ -176,11 +179,11 @@
   USE dynredem_mod, ONLY: dynredem_write_u, dynredem_write_v, dynredem_read_u, &
                           err, modname, fil, msg
+  USE temps_mod, ONLY: itau_dyn, itaufin
+  
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
   include "description.h"
-  include "comvert.h"
   include "comgeom.h"
-  include "temps.h"
   include "iniprint.h"
 !===============================================================================
Index: LMDZ5/branches/testing/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 2641)
@@ -35,11 +35,12 @@
     USE mod_filtreg_p
     USE write_field_loc
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
+    
+    IMPLICIT NONE
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
-    include "comvert.h"
-    include "serre.h"
 
     INTEGER  ngrid
Index: LMDZ5/branches/testing/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 2641)
@@ -31,11 +31,12 @@
     USE parallel_lmdz
     USE mod_filtreg_p
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
+    
+    IMPLICIT NONE
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
-    include "comvert.h"
-    include "serre.h"
 
     INTEGER  ngrid
Index: LMDZ5/branches/testing/libf/dyn3dmem/friction_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/friction_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/friction_loc.F	(revision 2641)
@@ -12,4 +12,5 @@
       USE ioipsl_getincom
 #endif
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -26,10 +27,9 @@
 !=======================================================================
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom2.h"
-#include "comconst.h"
-#include "iniprint.h"
-#include "academic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "iniprint.h"
+      include "academic.h"
 
 ! arguments:
